Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.edr
Interface EdrConstants

public interface EdrConstants

Interface containing the mandatory and most used optional key/value for the EdrData or RequestContext object.

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `CALL_INFO_START`
`static String` | `CALL_INFO_STOP`
`static String` | `FIELD_APP_ACCOUNT_ID`
`static String` | `FIELD_APP_INSTANCE_GROUP_ID`
`static String` | `FIELD_BC_ALARM_IDENTIFIER` Alarm
`static String` | `FIELD_BC_ALARM_INFO`
`static String` | `FIELD_CALL_INFO`
`static String` | `FIELD_CALL_SESSION_ID`
`static String` | `FIELD_CDR_AMOUNT_OF_USAGE`
`static String` | `FIELD_CDR_CHARGING_INFO`
`static String` | `FIELD_CDR_CONNECT_TIME`
`static String` | `FIELD_CDR_DESTINATION_PARTY`
`static String` | `FIELD_CDR_DURATION_OF_USAGE`
`static String` | `FIELD_CDR_END_OF_USAGE`
`static String` | `FIELD_CDR_ORIGINATING_PARTY`
`static String` | `FIELD_CDR_SESSION_ID` CDR
`static String` | `FIELD_CDR_START_OF_USAGE`
`static String` | `FIELD_CLASS_NAME`
`static String` | `FIELD_CONTAINER_TRANSACTION_ID`
`static String` | `FIELD_CORRELATOR`
`static String` | `FIELD_DESTINATION_ADDRESS`
`static String` | `FIELD_DIRECTION`
`static String` | `FIELD_EXCEPTION_NAME`
`static String` | `FIELD_GEO_MASTER_SITE_ID`
`static String` | `FIELD_GEO_SITEID`
`static String` | `FIELD_INTERFACE`
`static String` | `FIELD_METHOD_NAME`
`static String` | `FIELD_ORIGINATING_ADDRESS`
`static String` | `FIELD_PLUGIN_ID`
`static String` | `FIELD_POLICY_DENY_CODE`
`static String` | `FIELD_POLICY_INFO` Policy
`static String` | `FIELD_POSITION`
`static String` | `FIELD_REMOTE_SITE_ID`
`static String` | `FIELD_SERVER_NAME`
`static String` | `FIELD_SERVICE_NAME` EDR
`static String` | `FIELD_SESSION_ID`
`static String` | `FIELD_SITE_IDS`
`static String` | `FIELD_SIZE`
`static String` | `FIELD_SOURCE`
`static String` | `FIELD_SP_ACCOUNT_ID`
`static String` | `FIELD_STORE_NAME`
`static String` | `FIELD_TAG_ALARM`
`static String` | `FIELD_TAG_CDR`
`static String` | `FIELD_TAG_EDR` Tagging
`static String` | `FIELD_TAG_POLICY`
`static String` | `FIELD_TIMESTAMP`
`static String` | `VALUE_DIRECTION_NORTH`
`static String` | `VALUE_DIRECTION_SOUTH`
`static String` | `VALUE_INTERFACE_NORTH`
`static String` | `VALUE_INTERFACE_OTHER`
`static String` | `VALUE_INTERFACE_SOUTH`
`static String` | `VALUE_POSITION_AFTER`
`static String` | `VALUE_POSITION_BEFORE`
`static String` | `VALUE_SOURCE_EXCEPTION`
`static String` | `VALUE_SOURCE_METHOD`

Field Detail

### CALL_INFO_START

    public static final String CALL_INFO_START

See Also:
  Constant Field Values

### CALL_INFO_STOP

    public static final String CALL_INFO_STOP

See Also:
  Constant Field Values

### FIELD_APP_ACCOUNT_ID

    public static final String FIELD_APP_ACCOUNT_ID

See Also:
  Constant Field Values

### FIELD_APP_INSTANCE_GROUP_ID

    public static final String FIELD_APP_INSTANCE_GROUP_ID

See Also:
  Constant Field Values

### FIELD_BC_ALARM_IDENTIFIER

    public static final String FIELD_BC_ALARM_IDENTIFIER

  Alarm

  See Also:
    Constant Field Values

### FIELD_BC_ALARM_INFO

    public static final String FIELD_BC_ALARM_INFO

See Also:
  Constant Field Values

### FIELD_CALL_INFO

    public static final String FIELD_CALL_INFO

See Also:
  Constant Field Values

### FIELD_CALL_SESSION_ID

    public static final String FIELD_CALL_SESSION_ID

See Also:
  Constant Field Values

### FIELD_CDR_AMOUNT_OF_USAGE

    public static final String FIELD_CDR_AMOUNT_OF_USAGE

See Also:
  Constant Field Values

### FIELD_CDR_CHARGING_INFO

    public static final String FIELD_CDR_CHARGING_INFO

See Also:
  Constant Field Values

### FIELD_CDR_CONNECT_TIME

    public static final String FIELD_CDR_CONNECT_TIME

See Also:
  Constant Field Values

### FIELD_CDR_DESTINATION_PARTY

    public static final String FIELD_CDR_DESTINATION_PARTY

See Also:
  Constant Field Values

### FIELD_CDR_DURATION_OF_USAGE

    public static final String FIELD_CDR_DURATION_OF_USAGE

See Also:
  Constant Field Values

### FIELD_CDR_END_OF_USAGE

    public static final String FIELD_CDR_END_OF_USAGE

See Also:
  Constant Field Values

### FIELD_CDR_ORIGINATING_PARTY

    public static final String FIELD_CDR_ORIGINATING_PARTY

See Also:
  Constant Field Values

### FIELD_CDR_SESSION_ID

    public static final String FIELD_CDR_SESSION_ID

  CDR

  See Also:
    Constant Field Values

### FIELD_CDR_START_OF_USAGE

    public static final String FIELD_CDR_START_OF_USAGE

See Also:
  Constant Field Values

### FIELD_CLASS_NAME

    public static final String FIELD_CLASS_NAME

See Also:
  Constant Field Values

### FIELD_CONTAINER_TRANSACTION_ID

    public static final String FIELD_CONTAINER_TRANSACTION_ID

See Also:
  Constant Field Values

### FIELD_CORRELATOR

    public static final String FIELD_CORRELATOR

See Also:
  Constant Field Values

### FIELD_DESTINATION_ADDRESS

    public static final String FIELD_DESTINATION_ADDRESS

See Also:
  Constant Field Values

### FIELD_DIRECTION

    public static final String FIELD_DIRECTION

See Also:
  Constant Field Values

### FIELD_EXCEPTION_NAME

    public static final String FIELD_EXCEPTION_NAME

See Also:
  Constant Field Values

### FIELD_GEO_MASTER_SITE_ID

    public static final String FIELD_GEO_MASTER_SITE_ID

See Also:
  Constant Field Values

### FIELD_GEO_SITEID

    public static final String FIELD_GEO_SITEID

See Also:
  Constant Field Values

### FIELD_INTERFACE

    public static final String FIELD_INTERFACE

See Also:
  Constant Field Values

### FIELD_METHOD_NAME

    public static final String FIELD_METHOD_NAME

See Also:
  Constant Field Values

### FIELD_ORIGINATING_ADDRESS

    public static final String FIELD_ORIGINATING_ADDRESS

See Also:
  Constant Field Values

### FIELD_PLUGIN_ID

    public static final String FIELD_PLUGIN_ID

See Also:
  Constant Field Values

### FIELD_POLICY_DENY_CODE

    public static final String FIELD_POLICY_DENY_CODE

See Also:
  Constant Field Values

### FIELD_POLICY_INFO

    public static final String FIELD_POLICY_INFO

  Policy

  See Also:
    Constant Field Values

### FIELD_POSITION

    public static final String FIELD_POSITION

See Also:
  Constant Field Values

### FIELD_REMOTE_SITE_ID

    public static final String FIELD_REMOTE_SITE_ID

See Also:
  Constant Field Values

### FIELD_SERVER_NAME

    public static final String FIELD_SERVER_NAME

See Also:
  Constant Field Values

### FIELD_SERVICE_NAME

    public static final String FIELD_SERVICE_NAME

  EDR

  See Also:
    Constant Field Values

### FIELD_SESSION_ID

    public static final String FIELD_SESSION_ID

See Also:
  Constant Field Values

### FIELD_SITE_IDS

    public static final String FIELD_SITE_IDS

See Also:
  Constant Field Values

### FIELD_SIZE

    public static final String FIELD_SIZE

See Also:
  Constant Field Values

### FIELD_SOURCE

    public static final String FIELD_SOURCE

See Also:
  Constant Field Values

### FIELD_SP_ACCOUNT_ID

    public static final String FIELD_SP_ACCOUNT_ID

See Also:
  Constant Field Values

### FIELD_STORE_NAME

    public static final String FIELD_STORE_NAME

See Also:
  Constant Field Values

### FIELD_TAG_ALARM

    public static final String FIELD_TAG_ALARM

See Also:
  Constant Field Values

### FIELD_TAG_CDR

    public static final String FIELD_TAG_CDR

See Also:
  Constant Field Values

### FIELD_TAG_EDR

    public static final String FIELD_TAG_EDR

  Tagging

  See Also:
    Constant Field Values

### FIELD_TAG_POLICY

    public static final String FIELD_TAG_POLICY

See Also:
  Constant Field Values

### FIELD_TIMESTAMP

    public static final String FIELD_TIMESTAMP

See Also:
  Constant Field Values

### VALUE_DIRECTION_NORTH

    public static final String VALUE_DIRECTION_NORTH

See Also:
  Constant Field Values

### VALUE_DIRECTION_SOUTH

    public static final String VALUE_DIRECTION_SOUTH

See Also:
  Constant Field Values

### VALUE_INTERFACE_NORTH

    public static final String VALUE_INTERFACE_NORTH

See Also:
  Constant Field Values

### VALUE_INTERFACE_OTHER

    public static final String VALUE_INTERFACE_OTHER

See Also:
  Constant Field Values

### VALUE_INTERFACE_SOUTH

    public static final String VALUE_INTERFACE_SOUTH

See Also:
  Constant Field Values

### VALUE_POSITION_AFTER

    public static final String VALUE_POSITION_AFTER

See Also:
  Constant Field Values

### VALUE_POSITION_BEFORE

    public static final String VALUE_POSITION_BEFORE

See Also:
  Constant Field Values

### VALUE_SOURCE_EXCEPTION

    public static final String VALUE_SOURCE_EXCEPTION

See Also:
  Constant Field Values

### VALUE_SOURCE_METHOD

    public static final String VALUE_SOURCE_METHOD

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD